Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  package tests
  Definition Classes
    interactive
- CancelException
- CommentPreservingTypers
- CompilerControl
- CondPickler
- ContextTrees
- FreshRunReq
- Global
- InteractiveAnalyzer
- InteractiveReporter
- Lexer
- LogReplay
- Logger
- Main
- MissingResponse
- NoSuchUnitError
- NullLogger
- Pickler
- Picklers
- PresentationCompilerThread
- PrettyWriter
- Problem
- REPL
- RangePositions
- Replayer
- Response
- RichCompilationUnits
- ShutdownReq

t

scala.tools.nsc.interactive

# RichCompilationUnits

###

#### trait RichCompilationUnits extends AnyRef

Self Type
  Global
Source
  RichCompilationUnits.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Global
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RichCompilationUnits
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class RichCompilationUnit extends Global.CompilationUnit

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from RichCompilationUnits toany2stringadd[RichCompilationUnits] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (RichCompilationUnits, B)
   Implicit
     This member is added by an implicit conversion from RichCompilationUnits toArrowAssoc[RichCompilationUnits] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final val JustParsed: Int(-1)

   The status value of a unit that has not yet been typechecked

7.  final val NotLoaded: Int(-2)

   The status value of a unit that has not yet been loaded

8.  final val PartiallyChecked: Int(0)

   The status value of a unit that has been partially typechecked

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def ensuring(cond: (RichCompilationUnits) => Boolean, msg: => Any): RichCompilationUnits
    Implicit
      This member is added by an implicit conversion from RichCompilationUnits toEnsuring[RichCompilationUnits] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (RichCompilationUnits) => Boolean): RichCompilationUnits
    Implicit
      This member is added by an implicit conversion from RichCompilationUnits toEnsuring[RichCompilationUnits] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): RichCompilationUnits
    Implicit
      This member is added by an implicit conversion from RichCompilationUnits toEnsuring[RichCompilationUnits] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): RichCompilationUnits
    Implicit
      This member is added by an implicit conversion from RichCompilationUnits toEnsuring[RichCompilationUnits] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from RichCompilationUnits toStringFormat[RichCompilationUnits] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (RichCompilationUnits, B)
   Implicit
     This member is added by an implicit conversion from RichCompilationUnits toArrowAssoc[RichCompilationUnits] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromRichCompilationUnits to any2stringadd[RichCompilationUnits]

### Inherited by implicit conversion StringFormat fromRichCompilationUnits to StringFormat[RichCompilationUnits]

### Inherited by implicit conversion Ensuring fromRichCompilationUnits to Ensuring[RichCompilationUnits]

### Inherited by implicit conversion ArrowAssoc fromRichCompilationUnits to ArrowAssoc[RichCompilationUnits]

### Ungrouped